package com.boman.system.service;

import com.boman.system.common.MainTableRecord;
import com.boman.system.common.RowResult;

/**
 * @author shiqian
 * @description
 * @date 2021年03月22日 11:25
 **/
public interface IBaseSaveService {


    /**
     * 功能描述: 保存一行
     *
     * @param tableName tableName
     * @param pkName    主键名称
     * @param maxId     最大的SEQ
     * @param row       要保存的数据
     * @return com.boman.system.common.RowResult
     */
    RowResult insertRow(String tableName, String pkName, Long maxId, MainTableRecord row);

}
